using Quadarax.Foundation.QConsole.Argument;

namespace Quadarax.Foundation.QConsole.Extensions
{
    internal static class AbstractArgumentExt
    {
        internal static bool IsPositional(this AbstractArgument owner)
        {
            return owner.GetType().Name == typeof(OrdinalArgument).Name;
        }
        internal static bool IsFlag(this AbstractArgument owner)
        {
            return owner.GetType().Name == typeof(FlagArgument).Name;
        }

    }
}
